<template>
  <div id="app">
    <base-nav-bar v-if="!$route.meta.noNav" :navBarTitle="currentTitle" />
    <router-view />
  </div>
</template>

<script>
import { getAuthToken, showBottomBar } from "@/utils/bridgeToAppFun";
import BaseNavBar from "./components/BaseNavBar.vue";
export default {
  components: {
    BaseNavBar
  },
  data() {
    return {
      currentTitle: ""
    };
  },
  watch: {
    $route(val) {
      this.currentTitle = val.meta.title;
    }
  },
  created() {
    // const user = {
    //   userId: "1313123232"
    // }
    // localStorage.setItem('user', JSON.stringify(user));
    console.log("和App开始交互");
    // showBottomBar();
    getAuthToken()
      .then(res => {
        console.log("获取token成功", res);
      })
      .catch(err => {
        console.log("获取token失败", err);
      });
  }
};
</script>

<style lang="scss">
body {
  font-size: 16px;
  font-family: PingFang-SC-Medium;
  background: #f8f8f8;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
</style>
